Subject: bug#27311: Acknowledgement (Enlightenment: 'cpufreq binary needs suid or has to be owned by root')

From: ng0 <[email-masked]>
Date: Sun, 11 Jun 2017 17:25:11 +0000

ng0 transcribed 2.0K bytes:
> GNU bug Tracking System transcribed 0.7K bytes:
> > Thank you for filing a new bug report with debbugs.gnu.org.
> > 
> > This is an automatically generated reply to let you know your message
> > has been received.
> > 
> > Your message is being forwarded to the package maintainers and other
> > interested parties for their attention; they will reply in due course.
> > 
> > Your message has been sent to the package maintainer(s):
> >  [email-masked]
> > 
> > If you wish to submit further information on this problem, please
> > send it to [email-masked].
> > 
> > Please do not send mail to [email-masked] unless you wish
> > to report a problem with the Bug-tracking system.
> > 
> > -- 
> > 27311: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27311
> > GNU Bug Tracking System
> > Contact [email-masked] with problems
> >
> 
> It seems as if Nix has a solution to some of the problems I encounter
> with Enlightenment. I'll try and fix most of the bugs I reported.

Nix solved this particular issue (cpufreq) with a hack.
It's okay for me, but do some of you agree with applying this:

  # this is a hack and without this cpufreq module is not working. does the following:
  #   1. moves the "freqset" binary to "e_freqset",
  #   2. linkes "e_freqset" to enlightenment/bin so that,
  #   3. wrappers.setuid detects it and places wrappers in /run/wrappers/bin/e_freqset,
  #   4. and finally, links /run/wrappers/bin/e_freqset to original destination where enlightenment wants it
  postInstall = ''
    export CPUFREQ_DIRPATH=`readlink -f $out/lib/enlightenment/modules/cpufreq/linux-gnu-*`;
    mv $CPUFREQ_DIRPATH/freqset $CPUFREQ_DIRPATH/e_freqset
    ln -sv $CPUFREQ_DIRPATH/e_freqset $out/bin/e_freqset
    ln -sv /run/wrappers/bin/e_freqset $CPUFREQ_DIRPATH/freqset
  '';

source: https://github.com/NixOS/nixpkgs/blob/master/pkgs/desktops/enlightenment/enlightenment.nix

-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588